# Uses of Class
org.eclipse.mat.ui.internal.query.arguments.ArgumentEditor

Packages that use ArgumentEditor
Package
Description
org.eclipse.mat.ui.internal.acquire
Acquire heap dumps from other running processes - user interface (not API).
org.eclipse.mat.ui.internal.query.arguments
Allows a user to specify arguments for a query - user interface (not API).

## Uses of ArgumentEditor in org.eclipse.mat.ui.internal.acquire

Methods in org.eclipse.mat.ui.internal.acquire with parameters of type ArgumentEditor
Modifier and Type
Method
Description
`void`
ProviderArgumentsTable.`onError(ArgumentEditor editor, String message)`
`void`
ProviderArgumentsTable.`onValueChanged(Object value, ArgumentDescriptor descriptor, TableItem item, ArgumentEditor argEditor)`

## Uses of ArgumentEditor in org.eclipse.mat.ui.internal.query.arguments

Subclasses of ArgumentEditor in org.eclipse.mat.ui.internal.query.arguments
Modifier and Type
Class
Description
`class`
`BooleanComboEditor`
`class`
`CheckBoxEditor`
`class`
`EnumComboEditor`
`class`
`FileOpenDialogEditor`
`class`
`ImageTextEditor`
`class`
`LinkEditor`
`class`
`SnapshotSelectionEditor`
`class`
`TextEditor`
Methods in org.eclipse.mat.ui.internal.query.arguments that return ArgumentEditor
Modifier and Type
Method
Description
`static ArgumentEditor`
TableEditorFactory.`createTableEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item)`
Methods in org.eclipse.mat.ui.internal.query.arguments with parameters of type ArgumentEditor
Modifier and Type
Method
Description
`void`
ArgumentEditor.IEditorListener.`onError(ArgumentEditor editor, String message)`
`void`
ArgumentsTable.`onError(ArgumentEditor editor, String message)`
`void`
ArgumentEditor.IEditorListener.`onValueChanged(Object value, ArgumentDescriptor descriptor, TableItem item, ArgumentEditor editor)`
`void`
ArgumentsTable.`onValueChanged(Object value, ArgumentDescriptor descriptor, TableItem item, ArgumentEditor argEditor)`